/*!
 *****************************************************************************
 *@file:  main.h
 *
 *@brief: 
 *
 *@details:
 *-----------------------------------------------------------------------------
 *
 Copyright (c) 2021 Analog Devices, Inc.
 All rights reserved.

 This software is proprietary to Analog Devices, Inc. and its licensors.
 By using this software you agree to the terms of the associated
 Analog Devices Software License Agreement.
 *****************************************************************************/
 
#ifndef _MAIN_H_
#define _MAIN_H_

#include <stdint.h>
#include <string>
using namespace std;

void drdy_interrupt();
void static go_to_error();
void static print_title();
void static print_prompt();
int32_t static getUserInput(uint32_t *UserInput);
void static print_binary(uint8_t number, char *binary_number);
void static menu_1_set_pgia_gain_mode(void);
void static menu_2_set_fda_powermode(void);
void static menu_3_set_ad77681_powermode(void);
void static menu_4_set_ad77681_clock_divider(void);
void static menu_5_set_ad77681_filter_type(void);
void static set_FIR_filter(void);
void static set_SINC5_filter(void);
void static set_SINC3_filter(void);
void static set_50HZ_rej(void);
void static set_user_defined_FIR(void);
void static menu_6_ad77681_AIN_buffers_controll(void); 
void static menu_7_ad77681_REF_buffers_controll(void);
void static menu_8_set_ad77681_vcm_setup(void);
void static menu_9_set_ad77681_data_output_mode(void);
void static menu_10_set_ad77681_diagnostic_mode(void);
void static menu_11_set_ad77681_gains_offsets(void);
void static menu_12_ad77681_read_master_status(void);
void static menu_13_ad77681_read_register(void);
void static menu_14_read_ad77681_single_conv_data(void);
void static menu_15_read_ad77681_continuous_data(void);
void static menu_16_print_ad77681_continuos_read_data(void);
void static menu_17_ad77681_check_scratchpad(void);
void static menu_18_reset_ad77681_ADC(void);
void static menu_19_set_default_settings(void);
void static menu_20_mclk_vref(void);
void static adc_hard_reset();
void static adc_gpio_init();
#endif // !_MAIN_H_


